/* ============================================================= */
/* Copyright (C) 2010-2018 Diego Perini (diego.perini@gmail.com) */
/* All rights reserved. MIT Licensed @ https://nwbox.com/LICENSE */ 
/* OpenSource software free to use under the above license terms */
/* ============================================================= */

(function Export(global, factory) {

  'use strict';

  if (typeof module == 'object' && typeof exports == 'object') {
    module.exports = factory;
  } else if (typeof define === 'function' && define['amd']) {
    define(factory);
  } else {
    global.mylib || (global.mylib = factory(global, Export));
  }

})(this, function Factory(global, Export) {

  // install event handlers,
  // save overwritten references ...
  install =
    function(all) {
      if (all) {
        document.addEventListener('load', function(e) {
          var c, d, r, s, t = e.target;
          if (/iframe/i.test(t.nodeName)) {
            c = '(' + Export + ')(this, ' + Factory + ');'; d = t.contentDocument;
            s = d.createElement('script'); s.textContent = c + 'NW.Dom.install()';
            r = d.documentElement; r.removeChild(r.insertBefore(s, r.firstChild));
          }
        }, true);
      }
    },

  // uninstall event handlers,
  // restore overwritten references ...
  uninstall =
    function() {
    },

  // publicly exported methods/objects
  mylib = {

    install: install,
    uninstall: uninstall

  };

  initialize();

  return mylib;
});
